---
title: list-sandboxes
product: vercel
url: /docs/rest-api/sandboxes/list-sandboxes
canonical_url: "https://vercel.com/docs/rest-api/sandboxes/list-sandboxes"
last_updated: 2026-05-07
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-sandboxes on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List sandboxes

```http
GET /v1/sandboxes
```

Retrieves a paginated list of sandboxes belonging to a specific project. Results can be filtered by creation time using the `since` and `until` parameters.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `project` | string | No | The unique identifier or name of the project to list sandboxes for. |
| `limit` | number | No | Maximum number of sandboxes to return in the response. Used for pagination. |
| `since` | number | No | Filter sandboxes created after this timestamp. Specified as Unix time in milliseconds. |
| `until` | number | No | Filter sandboxes created before this timestamp. Specified as Unix time in milliseconds. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: The list of sandboxes matching the request filters.

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "pagination",
    "sandboxes"
  ],
  "properties": {
    "sandboxes": {
      "type": "array",
      "items": {
        "type": "object",
        "description": "This object contains information related to a Vercel Sandbox.",
        "required": [
          "createdAt",
          "cwd",
          "id",
          "memory",
          "region",
          "requestedAt",
          "runtime",
          "status",
          "timeout",
          "updatedAt",
          "vcpus"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier of the sandbox."
          },
          "memory": {
            "type": "number",
            "description": "Memory allocated to this sandbox in MB."
          },
          "vcpus": {
            "type": "number",
            "description": "Number of vCPUs allocated to this sandbox."
          },
          "region": {
            "type": "string",
            "description": "The region where the sandbox is hosted."
          },
          "runtime": {
            "type": "string",
            "description": "The runtime of the sandbox."
          },
          "timeout": {
            "type": "number",
            "description": "The maximum amount of time the sandbox will run for in milliseconds."
          },
          "status": {
            "type": "string",
            "description": "The status of the sandbox.",
            "enum": [
              "failed",
              "aborted",
              "pending",
              "stopping",
              "snapshotting",
              "running",
              "stopped"
            ]
          },
          "requestedAt": {
            "type": "number",
            "description": "The time when the sandbox was requested, in milliseconds since the epoch."
          },
          "startedAt": {
            "type": "number",
            "description": "The time when the sandbox was started, in milliseconds since the epoch."
          },
          "cwd": {
            "type": "string",
            "description": "The working directory of the sandbox."
          },
          "requestedStopAt": {
            "type": "number",
            "description": "The time when the sandbox was requested to stop, in milliseconds since the epoch."
          },
          "stoppedAt": {
            "type": "number",
            "description": "The time when the sandbox was stopped, in milliseconds since the epoch."
          },
          "abortedAt": {
            "type": "number",
            "description": "The time when the sandbox was aborted, in milliseconds since the epoch."
          },
          "duration": {
            "type": "number",
            "description": "The duration of the sandbox in milliseconds."
          },
          "sourceSnapshotId": {
            "type": "string",
            "description": "The unique identifier of the snapshot associated with this sandbox, if any."
          },
          "snapshottedAt": {
            "type": "number",
            "description": "The time when a snapshot was requested, in milliseconds since the epoch."
          },
          "createdAt": {
            "type": "number",
            "description": "The time when the sandbox was created, in milliseconds since the epoch."
          },
          "updatedAt": {
            "type": "number",
            "description": "The last time the sandbox was updated, in milliseconds since the epoch."
          },
          "networkPolicy": {
            "type": "object",
            "description": "The network policy applied to this sandbox, if any.",
            "required": [
              "mode"
            ]
          },
          "activeCpuDurationMs": {
            "type": "number",
            "description": "The amount of CPU time the sandbox consumed, if available, in milliseconds. This value is only available once the sandbox is stopped, and only if it stopped successfully."
          },
          "networkTransfer": {
            "type": "object",
            "description": "The quantity of data transfered to and from the sandbox, in bytes. This value is only available once the sandbox is stopped, and only if it stopped successfully.",
            "required": [
              "egress",
              "ingress"
            ]
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "count",
        "next",
        "prev",
        "total"
      ],
      "properties": {
        "total": {
          "type": "number"
        },
        "count": {
          "type": "number",
          "description": "Amount of items in the current page."
        },
        "next": {
          "type": "number",
          "description": "Timestamp that must be used to request the next page.",
          "nullable": true
        },
        "prev": {
          "type": "number",
          "description": "Timestamp that must be used to request the previous page.",
          "nullable": true
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: The project does not exist or the team does not have access to it.

---

## Related

- [sandboxes endpoints](/docs/rest-api#sandboxes)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
